/**
 * Theme Name:     GeneratePress Child
 * Author:         Tom Usborne
 * Template:       generatepress
 * Text Domain:	   generatepress-child
 * Description:    GeneratePress is a lightweight WordPress theme built with a focus on speed and usability. Performance is important to us, which is why a fresh GeneratePress install adds less than 10kb (gzipped) to your page size. We take full advantage of the block editor (Gutenberg), which gives you more control over creating your content. If you use page builders, GeneratePress is the right theme for you. It is completely compatible with all major page builders, including Beaver Builder and Elementor. Thanks to our emphasis on WordPress coding standards, we can boast full compatibility with all well-coded plugins, including WooCommerce. GeneratePress is fully responsive, uses valid HTML/CSS, and is translated into over 25 languages by our amazing community of users. A few of our many features include 60 color controls, powerful dynamic typography, 5 navigation locations, 5 sidebar layouts, dropdown menus (click or hover), and 9 widget areas. Learn more and check out our powerful premium version at https://generatepress.com
 */
html {font-size: 62.5%;}

:root {
	--yellow: #f3d52a;
	--red: #e8050e;
	/* number of columns per grid  */
    --cols2: repeat(2, 1fr);
    --cols3: repeat(3, 1fr);
    --cols4: repeat(4, 1fr);
    --cols5: repeat(5, 1fr);
    --cols6: repeat(6, 1fr);
}
a:hover, a:focus {
  text-decoration: none;
}
.grid {display: grid;}
.grid img {width:100%;}
.cols2 {grid-template-columns: var(--cols2);}
.cols3 {grid-template-columns: var(--cols3);}
.cols4 {grid-template-columns: var(--cols4);}
.cols5 {grid-template-columns: var(--cols5);}
.cols6 {grid-template-columns: var(--cols6);}

.gap05 {grid-gap: 5px;}
.gap10 {grid-gap: 10px;} .gap15 {grid-gap: 15px;}
.gap20 {grid-gap: 20px;} .gap25 {grid-gap: 25px;}
.gap30 {grid-gap: 30px;} .gap35 {grid-gap: 35px;}
.gap40 {grid-gap: 40px;} .gap45 {grid-gap: 45px;}

.flex {
	display: -webkit-box;
	display: -moz-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
}
.w100 {width: 100%;}
.hBetween {
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  -moz-box-pack: justify;
  justify-content: space-between;
}
.vCenter {
	-webkit-align-items: center;
	-moz-align-items: center;
	-ms-align-items: center;
	align-items: center;
}
.hCenter {
	-webkit-box-pack: justify;
	-webkit-justify-content: center;
	-ms-flex-pack: justify;
	-moz-box-pack: justify;
	justify-content: center;
}

.menu-item-has-children .dropdown-menu-toggle {
  padding-right: 10px;
  padding-left: 5px;
}
.black {
  background-image: url(https://www.industriasmiguelangel.com/assets/img/contacto/banners-contacto.jpg);
  background-size: cover;
}
.title-page {background-color: rgba(0,0,0,0.9)}
.top-bar .inside-top-bar {
  justify-content: end;
}
.top-bar-align-right .widget:first-child {
  margin-left: 10px;
}
.top-bar-align-right .widget:nth-child(2n) {
  order: 0;
}
.inside-top-bar {padding: 10px 20px;}
.inside-header {padding: 10px 20px 20px;}
.main-navigation  {
	background-color: transparent);
}
.main-navigation .main-nav ul li a, .menu a {
	font: 500 1.5rem 'poppins', sans-serif;
	color: #fff;
}
.main-navigation .main-nav ul li a {
  padding-left: 10px;
  padding-right: 10px;
}
.lang-item a {font-size: 1.2rem;}
.lang-item a:hover {color: var(--yellow);}
#menu-item-112 a, #menu-item-113 a {
	font-size: 1.2rem;
	font-weight: bold;
	padding: 8px 18px;
	background: #fff;
	color: var(--blue);
	box-shadow: inset -5px 0px var(--yellow);
	transition: all ease 0.2s;
}
#menu-item-112 a:hover, #menu-item-113 a:hover {
  	box-shadow: inset -150px 0px var(--yellow);
	text-decoration: none;
}
.topsocial {
	color: #fff;
	width: 24px;
	height: 24px;
	border: 1px solid #fff;
	padding: 3px;
	margin-right: 10px;
	font-size: 1.6rem;
}
.top-bar .topsocial:hover {
	color: var(--yellow);
	border-color: var(--red);
}
/* title header */
.title-page {
	padding: 50px 20px 70px;
}
.title-page h1 {
	text-align: center;
	font-size: 30px;
	font-weight: 700;
}
.category-industrias-miguel-angel h2.entry-title a {
	color: var(--red);
}

/* mobile main */
.inside-header {position: relative;}
#site-navigation.toggled {
	position: absolute;
	width: 100%;
	left: 0;
	top: 70px;
}

.entry-content img {
	border-radius: 20px;
}

/* footer */
.site-footer {
	
	background: url('https://www.industriasmiguelangel.com/assets/img/footer/bg-1.jpg') no-repeat center top;
	background-size: cover;
	
}
#footer-widgets {
	background-color: #000000;
	opacity: 0.9;
}
h2.widget-title {
	margin-bottom: 25px;
	font-weight: 600;
	font-size: 1.8rem;
}
.footer-widget-2,  {
	display: flex;
	justify-content: center;
}
.footer-widgets-container *, .site-footer .footer-widgets-container .inside-footer-widgets {margin: 0;}
.footer-widgets-container {padding: 55px 0;}
.inside-footer-widgets {padding: 0 20px;}
.site-footer .footer-widgets-container .inner-padding {padding: 0;}
.fcolumn {margin: 20px 0; padding: 0 20px;}
.fcolumn p span {font-size: 1.2rem;}
.foot {color: #fff;}
.members {margin: 40px 0 0;}
.members div {padding: 10px;font-size: 1.4rem;}
.fmail, .ftel {padding: 0 0 15px 0;}
.fcolumn a {color: #fff; font-size: 1.5rem;}
.fcolumn a:hover {color: var(--yellow);}
.copyright-bar {display: none;}
.footBar {font-size: 1.2rem;}
.inside-footer-widgets p {margin:0 0 20px; font-size: 1.5rem;}
.footer-bar {width: 100%;}
.inside-site-info {padding: 0;}
.bContent {padding: 10px 20px;}
.arkadlogo {margin-top: -25px;}

/* site main */
.banner-blog {padding: 20px 20px 0 0;}
.banner-blog img {width: 100$;}
.site-main[data='main'] {
	-moz-column-gap: 30px;
	-webkit-column-gap: 30px;
	column-gap: 20px;
	column-count: 2;
	-moz-column-fill: initial;
	-webkit-column-fill: initial;
	column-fill: initial;
}

.site-main .post {break-inside: avoid;}

table h1, table h2, table h3, table h4, table h5, table h6 {
	margin: 0;
}

/* columns tables */ 
@media (max-width: 650px) {
	.fw-columns .mtr-cell-content {
		max-width: 100% !important;
		text-align: left !important;
	} 
	.fw-columns:before {
		text-align: center !important;
	}
	.banner-blog {display: none;}
	.site-main[data='main'] {
		column-count: 1;
	}
}

@media screen and (max-width: 768px) {
  :root {
    --cols2: repeat(1, 1fr);
    --cols3: repeat(1, 1fr);
    --cols4: repeat(1, 1fr);
    --cols5: repeat(1, 1fr);
    --cols6: repeat(1, 1fr);
  }
	.inside-header {padding: 0 20px 0;}
	.has-inline-mobile-toggle #site-navigation.toggled {margin-top: 0;}
	.site-header .header-image {width: 120px;}
	.menu-toggle {font-size: 24px; padding: 0 10px}
	.site-header .header-widget {display: none;}
	.main-navigation .inside-navigation {
		background: #fff;
	}

	.main-navigation #primary-menu ul li a {
		font-size: 1.6rem;
		padding: 12px 20px;
		color: #444444;
		border-top: 1px solid #DBEEFD;
	}
	.main-navigation #primary-menu ul li a:hover {
		color: var(--red);
	}
	
	.inside-footer-widgets > div:not(:last-child) {
	  margin-bottom: 0;
	}
	.footer-widget-1, .footer-widget-2, .footer-widget-3 {
		padding: 15px 20px;
	}
	.footer-widget-2, .footer-widget-3 {justify-content: left;}
	.footer-widget-2:nth-child(2) {
	  border-width: 0;
	}
	.fbox {
	  text-align: center;
	  padding: 15px 20px;
	}
	.mhide, .footAddress a i, .fmail i {
	  display: none;
	}
}